# Class MarketDepthRequest

#### Hierarchy

- unknown
  - MarketDepthRequest

- Defined in src/protobuf/grpc_pb.d.ts:2234
- Defined in src/protobuf/grpc_pb.d.ts:2246

#####
Index

### Constructors

constructor

### Methods

getCurrencyCode
serializeBinary
setCurrencyCode
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MarketDepthRequest(): MarketDepthRequest

- #### Returns MarketDepthRequest

  Inherited from jspb.Message.constructor

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2235

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2238

### setCurrencyCode

- setCurrencyCode(value: string): MarketDepthRequest

- #### Parameters

  - ##### value: string

  #### Returns MarketDepthRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2236

### toObject

- toObject(includeInstance?: boolean): MarketDepthRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MarketDepthRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2239

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketDepthRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketDepthRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2242

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketDepthRequest, reader: BinaryReader): MarketDepthRequest

- #### Parameters

  - ##### message: MarketDepthRequest

  - ##### reader: BinaryReader

  #### Returns MarketDepthRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2243

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketDepthRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MarketDepthRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2241

### `Static` toObject

- toObject(includeInstance: boolean, msg: MarketDepthRequest): MarketDepthRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketDepthRequest

  #### Returns MarketDepthRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2240

Generated using TypeDoc